Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 173078 - xorg-x11-xfs - "double free or corruption" on error
Summary: xorg-x11-xfs - "double free or corruption" on error
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-xfs
Version: rawhide
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-11-13 19:47 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-09 15:38:11 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2005-11-13 19:47:51 UTC
Description of problem:

Due to something I missed in some "recovery actions" I managed to set 700
permission on /usr and I failed to notice that right away.  This clearly
put a spanner in xfs works as for every fonts.dir I got something like:

open("/usr/X11R6/lib/X11/fonts/misc/fonts.dir", O_RDONLY) = -1 EACCES
(Permission denied)

when '-droppriv' was in use.

So far so good, although X server got clearly unhappy, but that brought to
light two problems.  One is that I still got "[ OK ]" from /etc/rc.d/init.d/xfs
even if 'service xfs status' was immediately reporting "xfs dead but subsys
locked".

The other is that when I tried to run 'xfs -droppriv' but in a foreground I got:

*** glibc detected *** xfs: double free or corruption (!prev):
   0x000000000051cd40 ***

This seems to indicate that something is not right on an error handling path.

Version-Release number of selected component (if applicable):
xorg-x11-xfs-6.8.2-62

How reproducible:
always in circumstances described above.

Comment 1 Mike A. Harris 2006-01-20 17:57:56 UTC
If possible, could you test FC5test2 or newer to see if the same problem
still occurs?

Comment 2 Michal Jaegermann 2006-01-20 22:37:15 UTC
Currently installed xfs is xorg-x11-xfs-1.0.0-2 and I do not see glibc
complaints when fonts directories are unreadable.  A process started with
'-nodaemon -droppriv' just does not terminate.

It still starts with an "OK" status even where is not a single font to serve.
This may be expected.


Comment 3 Mike A. Harris 2006-02-09 09:33:36 UTC
Reading comment #2, it sounds like the problem reported in the initial report
is fixed now, can you confirm that?

It isn't clear if comment #2 is also trying to state a second bug is present
or not, however if that is the case, a new bug report should be filed
separately for each bug that is discovered for proper tracking/closure of
each issue.

TIA




Note You need to log in before you can comment on or make changes to this bug.